Public Member Functions

# wxFileDirPickerEvent Class Reference
[Events]

`#include <wx/filepicker.h>`

Inheritance diagram for wxFileDirPickerEvent:
[legend]

## Detailed Description

This event class is used for the events generated by wxFilePickerCtrl and by wxDirPickerCtrl.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxFileDirPickerEvent& event)

Event macros:

- EVT_FILEPICKER_CHANGED(id, func):
  Generated whenever the selected file changes.
- EVT_DIRPICKER_CHANGED(id, func):
  Generated whenever the selected directory changes.

##

Library: wxCore
Category: Events

See also:
  wxFilePickerCtrl, wxDirPickerCtrl

## Public Member Functions
| wxFileDirPickerEvent (wxEventType type, wxObject *generator, int id, const wxString &path)
| The constructor is not normally used by the user code.
wxString | GetPath () const
| Retrieve the absolute path of the file/directory the user has just selected.
void | SetPath (const wxString &path)
| Set the absolute path of the file/directory associated with the event.

List of all members.

## Constructor & Destructor Documentation

wxFileDirPickerEvent::wxFileDirPickerEvent | ( | wxEventType | type,
|  | wxObject * | generator,
|  | int | id,
|  | const wxString & | path |
| ) |  |  |

The constructor is not normally used by the user code.

## Member Function Documentation

wxString wxFileDirPickerEvent::GetPath | ( |  | ) | const

Retrieve the absolute path of the file/directory the user has just selected.

void wxFileDirPickerEvent::SetPath | ( | const wxString & | path | ) |

Set the absolute path of the file/directory associated with the event.

|  | [ top ]